function quest.LoadProjectConstants(_constants)
    local mini_scenes_info = _constants.GetChild("miniscene", false)
	
    local res = tonumber(mini_scenes_info.GetValue("open_time").c_str())
    if res ~= nil then child_scenes.open_scene_time = res end
    res = tonumber(mini_scenes_info.GetValue("close_time").c_str())
    if res ~= nil then child_scenes.close_scene_time = res end

    res = tonumber(mini_scenes_info.GetValue("open_minigame").c_str())
    if res ~= nil then child_scenes.open_minigame_time = res end
    res = tonumber(mini_scenes_info.GetValue("close_minigame").c_str())
    if res ~= nil then child_scenes.close_minigame_time = res end
	res = tonumber(mini_scenes_info.GetValue("close_minigame_pause").c_str())
    if res ~= nil then child_scenes.close_minigame_pause = res end
	
                       
    res = tonumber(mini_scenes_info.GetValue("shadow_color").c_str())
    if res ~= nil then shadow_widget.max_alpha = res end


    local auto_save = _constants.GetChild("auto_save", false)
	
	quest_window = quest_window or {}
    local res = tonumber(auto_save.GetValue("interval").c_str())
    if res ~= nil then quest_window.auto_save_delay = res end
	
    local say_info = _constants.GetChild("say", false)
	
	quest_window = quest_window or {}
    local res = tonumber(say_info.GetValue("sound_volume_part").c_str())
    if res ~= nil then say_widget.sound_volume_part = res end

	
end
